/* HACK: Important for filteredIn transition! */
.filtr-container {
  perspective: 1000px;
  transform-style: preserve-3d;
}

/* CUSTOM COLOR SETTINGS */

:root {
  /* --body-bg: #fff; */
  /* --body-color: #000; */
  /* --spicy-color-hover: #ff9900; */
}

/* Styles */

.rdfilter.blog {
  overflow: hidden;
}

.filtr-container {
  /* display: none; */
  transition: height 500ms ease-out;
  box-sizing: border-box;
}

.toggle-shuffle-container,
ul.simplefilter,
ul.multifilter {
  column-gap: 0.5rem;
  row-gap: 0.5rem;
  display: flex;
  flex-wrap: wrap;
}

.filtr-params {
  margin: 0.5rem 0;
}

.toggle-shuffle-container > .filtr-params {
  display: inline-block;
}

.filtr-toggle {
  position: relative;
  padding: 0 1.5rem 0 0;
}

.filtr-toggle .icon-chevron-down {
  padding: 0 0.5em 0 0;
  transform: rotateX(0deg);
  transition: transform 0.3s ease-out;
  font-size: 0.75em;
}

.filtr-toggle.active .icon-chevron-down {
  transform: rotateX(180deg);
}

.filtr-toggle-:after {
  position: absolute;
  top: -0.5rem;
  right: 0;
  content: '\025BE';
  font-size: 1rem;
  padding: 0.5rem;
  display: inline-block;
  transform: rotate(0deg);
  transition: all 0.3s ease-out;
}

.filtr-toggle-.active:after {
  transform: rotate(180deg);
}

.filtr-box {
  transition: max-height 0.3s ease-out;
  overflow: hidden;
  max-height: 0;
}

.filtr-box.active {
  max-height: var(--max-height);
}


.filtr-item .item-image {
  margin-bottom: 1em;
}

.filtr-item .item-image img {
  width: 100%;
  max-width: none;
}

/* RESPONSIVE */

.filtr-grid {
  width: calc(100% + 64px);
  position: relative;
  left: -32px;
}

.filtr-item {
  width: 100%;
}

@media (min-width: 767px) {
  .filtr-item {
    width: 50%;
  }
}

@media (min-width: 1200px) {
  .filtr-item {
    width: 33.33%;
  }
}

/* Filter controls */

.filtr-params > ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.simplefilter,
.multifilter,
.resetfilter,
.sortandshuffle,
.search-row {
  padding: 0;
  margin: 0;
}

.filtr-toggle,
.sortandshuffle li {
  user-select: none;
  font-size: 1rem;
  color: var(--body-color);
  display: inline-block;
  margin: 0;
  line-height: 1.75;
  cursor: pointer;
}

.simplefilter li,
.multifilter li,
.resetfilter li,
.input-reset-btn {
  user-select: none;
  font-size: 1rem;
  color: var(--body-color);
  display: inline-flex;
  margin: 0;
  border: 2px solid var(--body-color);
  line-height: 1.75;
  cursor: pointer;
}

.simplefilter li,
.multifilter li,
.resetfilter li {
  padding: 0 12px;
}

.resetfilter li {
}

.filtr-toggle:hover,
.shuffle-btn:hover {
  color: var(--spicy-color-hover);
}

.simplefilter li:hover,
.multifilter li:hover,
.simplefilter li.active,
.multifilter li.active,
.reset-btn:hover,
.input--reset-btn:hover {
  color: var(--spicy-color-hover);
  border-color: var(--spicy-color-hover);
}

/* Shuffle and sort controls. */
select {
  
}

.sortandshuffle .shuffle-btn {
  
}

.sortandshuffle .sort-btn {
  
}

.sortandshuffle .sort-btn.active {
  
}

/* Search control. */

input[type="text"].filtr-search {
  color: var(--body-color);
  font-size: 1rem;
  display: inline-block;
  padding: 0 12px;
  border-radius: 0;
  border-top: 2px solid var(--body-color)!important;
  border-left: 2px solid var(--body-color)!important;
  border-bottom: 2px solid var(--body-color)!important;
  border-right: 0!important;
  line-height: 1.75;
  box-shadow: none;
  margin: 1rem 0 0 0;
  width: 180px;
  vertical-align: top;
  box-sizing: border-box;
  background: transparent;
  margin: 0;
}

input[type="text"].filtr-search:focus {
  outline: none!important; /* violates accessibility */
}

/* Input reset */

.input-reset-btn {
  padding: 0 0.75rem;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  font-weight: 600;
  vertical-align: top;
}

.input-reset-btn > span {
  top: -0.094rem;
  position: relative;
}